import type { FeedbackResponse, PreviewPrintOrderRequest, RenderPrintOrderRequest, SendTestEmailRequest, Template, TemplateCreateRequest, TemplateUpdateRequest } from '@bringg/types';
import Session from '../Services/Identity/Session';
import type { PostZPLPrinterRequest } from './Templates.consts';
export default class TemplatesApi {
    private templatesEntity;
    constructor(session: Session);
    printZPLPDF(body: PostZPLPrinterRequest): Promise<any>;
    getAllTemplates(): Promise<Template[]>;
    getTemplateById(id: number): Promise<Template>;
    createTemplate(payload: TemplateCreateRequest): Promise<Template>;
    updateTemplate(id: number, payload: TemplateUpdateRequest): Promise<Template>;
    deleteTemplate(id: number): Promise<FeedbackResponse>;
    sendTestEmail(payload: SendTestEmailRequest): Promise<FeedbackResponse>;
    preview(payload: PreviewPrintOrderRequest): Promise<string>;
    receipt(payload: RenderPrintOrderRequest): Promise<string>;
}
